Subject: bug#59214: [PATCH] Alternate rust-analyzer command added

From: João Távora <[email-masked]>
Date: Wed, 16 Nov 2022 21:06:06 +0000

On Wed, Nov 16, 2022 at 7:31 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Wed, 16 Nov 2022 17:14:11 +0000
> > Cc: Pankaj Jangid <[email-masked]>, [email-masked]
> >
> > Here, we would need and rust expert to explain why the the middle entry
> is different or more useful than the
> > first one. I'm not that expert, but Pankaj's rationale looks reasonably
> sane. So maybe delete the simple
> > "rust-analyzer" one? Or maybe not. But two entries for the same server
> looks odd. As i said, this must be
> > looked at by someone with knowledge of rust toolchain and configuration
> idioms.
>
> For starters, maybe Pankaj could provide more details to answer your
> questions?  Perhaps after talking to a Rust expert?
>

After thinking about it some more, I think this case is comparable to
ensuring 'serverx' is available in PATH/exec-path, which is something
that we already ask users to do (not only for LSP servers). So I'd say
don't
change the value.  Users can always try out new server invocations
with C-u M-x eglot (I do this all the time, and because the resulting
session is reasonably long lived and the invocation is persisted in
history,
sometimes I don't even bother to edit eglot-server-programs at all).

Pankaj, is it really that uncommon to have a tool installed as part of
a Rust package be in the execution path of a shell? It's not uncommon
in other toolchains with what I think are similar package architectures,
such as Node JS.

João